/**
 * Base class for all objects on this library.
 */
module.exports = new Class
({
	Extends: Vn.Object
	
	/**
	 * Renders the object as an SQL string.
	 *
	 * @param {Object} params The params used to render the object
	 * @return {string} The SQL string
	 */
	,render: function () {}

	/**
	 * Gets if the object is ready to be rendered.
	 *
	 * @param {Object} params The query parameters
	 * @return {boolean} %true if the object is ready, %false otherwise
	 */
	,isReady: function ()
	{
		return true;
	}

	/**
	 * Through the query looking for containers and adds it to the batch.
	 *
	 * @return {Array} An array with the names of the found parameters
	 */
	,findHolders: function () {}
});
