
Hedera.Basket = new Class
({
	Extends: Hedera.Form

	,open: function ()
	{
		this.close ();
		this.isOpen = true;

		Hedera.BasketChecker.check (this.conn, this.hash,
			this.onBasketCheck.bind (this));
	}
	
	,onBasketCheck: function (isOk)
	{
		if (isOk)
			this.loadUi ();
	}
	
	,activate: function ()
	{	
		this.$.items.setInfo ('i', 'basket_item', 'hedera');
	}

	,onConfigureClick: function ()
	{
		Htk.Toast.showWarning (_('RememberReconfiguringImpact'));
		this.hash.setAll ({'form': 'ecomerce/checkout'});
	}

	,onCatalogClick: function ()
	{
		this.hash.setAll ({'form': 'ecomerce/catalog'});
	}

	,onCheckoutClick: function ()
	{
		this.hash.setAll ({'form': 'ecomerce/confirm'});
	}

	,repeaterFunc: function (res, form)
	{
		res.$.subtotal.value = this.subtotal (form);
	}

	,onDeleteClick: function  (button, form)
	{
		if (confirm (_('ReallyDelete')))
			form.deleteRow ();
	}

	,subtotal: function (form)
	{
		return form.$.amount * form.$.price;
	}
});



