<?php

use Vn\Lib;

class Sms extends Vn\Web\JsonRequest
{
	const PARAMS = [
		 'to'
		,'text'
	];

	function run ($db)
	{
		$smsConfig = $db->getRow ('SELECT uri, user, password, title FROM sms_config');

		$sClient = new SoapClient ($smsConfig['uri']);
		$xmlString = $sClient->sendSMS (
			 $smsConfig['user']
			,$smsConfig['password']
			,$smsConfig['title']
			,$_REQUEST['to']
			,$_REQUEST['text']
		);
		$xmlResponse = new SimpleXMLElement ($xmlString);

		$customer = empty ($_REQUEST['customer']) ? NULL : $_REQUEST['customer'];

		try {
			$sms = $xmlResponse->sms;
			$db->query (
				'INSERT INTO vn2008.sms (Id_trabajador, `text`, `to`, `from`, sent, response, Id_Cliente)
					VALUES (account.userGetId(), #, #, #, #, #, #)',
				[
					 $_REQUEST['text']
					,$_REQUEST['to']
					,$_REQUEST['to']
					,$sms->codigo
					,$sms->descripcion
					,$customer
				]
			);
		}
		catch (Exception $e)
		{
			trigger_error ($e->getMessage (), E_USER_WARNING);
		}

		return TRUE;
	}
}


